<?php
	session_start();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- assets -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes">
    <link id="bootstrap5-stylesheet" href="libs/bootstrap.min.css" rel="stylesheet">
    <script id="bootstrap5-library" src="libs/bootstrap.bundle.min.js"></script>
    <style type="text/css">
        a:link { color: #990000; }
        a:visited { color: #990000; }
        a:hover { color: #990000; }
        a:active { color: #990000; }
    </style>
    <?php require_once("libs/MiniFunx.php"); ?>
</head>

<body>
<?php
	// errors
	ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
	error_reporting(E_ALL);

	// UI language
	if (!isset($_GET["lang"])) {
		$language = "en";
	} else {
		$language = $_GET["lang"];
	}
	require_once("lang/$language.php");
?>
<!-- bootstrap container -->
<div class="container-fluid">
	<!-- testata -->
	<div class="row">
		<div class="col-md-3"></div>
		<div class="col-md-6">
		   	<p align="center">
				<img src="argos-icon.png" width="60" height="60" style="float: left; margin: 5px;" />
				<font size="6"><b><a href="https://www.litterae.eu/it/argos-simple-web-stats-tool/">Argos</a></b></font><br>
				<font size="3"><?php echo $lang_slogan; ?> <a href="https://www.litterae.eu/">litterae.eu</a></font>
			</p>
		</div>
		<div class="col-md-3"></div>
	</div>

	<!-- corpo -->
	<div class="row">
    	<div class="col-md-1"></div>
		<div class="col-md-10">
		    <p align="left"><font size="3">
			<form action="period.php" method="post">
				<div class="mb-3">
					<label for="psw" class="form-label"><?php echo $lang_psw; ?></label>
					<input type="password" class="form-control" id="psw" name="psw" required>
				</div>
				<input type="submit" name="submit" id="submit" value=<?php echo $lang_login; ?> />
			</form>
			</p>
		    <p align="left"><font size="3">
		    	<?php echo $lang_change; ?>: <a href="?lang=en">en</a>, <a href="?lang=it">it</a>
            </p>
		</div>
    	<div class="col-md-1"></div>
	</div>
	<?php
		$_SESSION["lang"] = $language;
	?>

</div>

</body>
</html>
