<?php
	session_start();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <!-- assets -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes">
    <link id="bootstrap5-stylesheet" href="libs/bootstrap.min.css" rel="stylesheet">
    <script id="bootstrap5-library" src="libs/bootstrap.bundle.min.js"></script>
    <style type="text/css">
        a:link { color: #990000; }
        a:visited { color: #990000; }
        a:hover { color: #990000; }
        a:active { color: #990000; }
    </style>
    <?php require_once("libs/MiniFunx.php"); ?>
</head>

<body>
<?php
	// errors
	ini_set('display_errors', 1);
	ini_set('display_startup_errors', 1);
	error_reporting(E_ALL);

	// UI language
	$language = $_SESSION["lang"];
	require_once("lang/$language.php");
	require_once("data/psw.php");
?>
<!-- bootstrap container -->
<div class="container-fluid">
	<!-- testata -->
	<div class="row">
		<div class="col-md-3"></div>
		<div class="col-md-6">
		   	<p align="center">
				<img src="argos-icon.png" width="60" height="60" style="float: left; margin: 5px;" />
				<font size="6"><b><a href="https://www.litterae.eu/it/argos-simple-web-stats-tool/">Argos</a></b></font><br>
				<font size="3"><?php echo $lang_slogan; ?> <a href="https://www.litterae.eu/">litterae.eu</a></font>
			</p>
		</div>
		<div class="col-md-3"></div>
	</div>

	<!-- corpo -->
	<div class="row">
    	<div class="col-md-1"></div>
		<div class="col-md-10">
		    <p align="left"><font size="3">
			<?php
				$pass = $_POST["psw"];
				if ($pass !== $psw) {
					echo "$lang_wrong_psw<br><a href='index.php?lang=$language'>$lang_psw</a>";
					session_unset();
					session_destroy();
					exit();
				} else {
					echo "$lang_dates<br><i>$lang_inform</i><br><br>";
				}
			?>
			<form action="stats.php" method="post">
				<div class="mb-3">
					<label for="from" class="form-label"><?php echo $lang_from; ?></label>
					<input type="date" class="form-control" id="dayfrom" name="dayfrom" required><br>
					<label for="to" class="form-label"><?php echo $lang_to; ?></label>
					<input type="date" class="form-control" id="dayto" name="dayto" required><br>
				</div>
				<input type="submit" name="submit" id="submit" value=<?php echo $lang_submit; ?> />
			</form>
			</p>
			<hr>
		    <p align="left"><font size="3">
				<a href="logout.php"><?php echo $lang_logout; ?></a>
		    </p>
		</div>
    	<div class="col-md-1"></div>
	</div>
	<?php
		$_SESSION["lang"] = $language;
		$_SESSION["psw"] = $pass;
	?>

</div>

</body>
</html>
