<?php

// index.php
$lang_slogan = "simple yet accurate web stats tool by";
$lang_wrong_psw = "Sorry, the password is incorrect";
$lang_psw = "Insert access password";
$lang_login = "Log-in";
$lang_logout = "Log-out";
$lang_change = "Change language to";

// stats.php
$lang_dates = "Select stats period";
$lang_inform = "Please, consider that the access of search engines bots and your IP won't be displayed. Nevertheless they are stored in the database file";
$lang_from = "Select 'from' date";
$lang_to = "Select 'to' date";
$lang_submit = "Submit";
$lang_display_from = "Display access stats from";
$lang_display_to = "to";
$lang_date = "Date";
$lang_time = "Time";
$lang_os = "OS";
$lang_browser = "Browser";
$lang_lang = "Language";
$lang_country = "Country";
$lang_city = "City";
$lang_map = "See map";
$lang_page = "Visited page";
$lang_reports = "Abuseipdb reports";
$lang_suspect = "Suspicion level";
$lang_ip = "IP address";
$lang_host = "Host name";
$lang_counter = "pages visited since 20 September 2021";
$lang_recap = "Period overview";
$lang_site_visits = "Accesses to the web site";
$lang_total_visits = "Total accesses";
$lang_unique_visits = "Unique accesses";
$lang_country_visits = "Accesses by country";
$lang_language_visits = "Accesses by language";
$lang_page_visits = "Most visited pages";
$lang_top_accesses = "Top 10 accesses by ";
$lang_by = array("language",
	"country",
	"page");
$lang_month = array("Jan",
	"Feb",
	"Mar",
	"Apr",
	"May",
	"Jun",
	"Jul",
	"Aug",
	"Sep",
	"Oct",
	"Nov",
	"Dec");
$lang_language_names = array("Abkhazian",
	"Afar",
	"Afrikaans",
	"Akan",
	"Albanian",
	"Amharic",
	"Arabic",
	"Aragonese",
	"Armenian",
	"Assamese",
	"Avaric",
	"Avestian",
	"Aymara",
	"Azerbaijani",
	"Bambara",
	"Bashkir",
	"Basque",
	"Belarusian",
	"Bengali",
	"Bihari",
	"Bislama",
	"Bosnian",
	"Breton",
	"Bulgarian",
	"Burmese",
	"Catalan",
	"Chamorro",
	"Chechen",
	"Chewa",
	"Chinese",
	"Old Church Slavonic",
	"Chuvash",
	"Cornish",
	"Corsican",
	"Cree",
	"Croatian",
	"Czech",
	"Danish",
	"Divehi",
	"Dutch",
	"Dzongkha",
	"English",
	"Esperanto",
	"Estonian",
	"Ewe",
	"Faroese",
	"Fijian",
	"Finnish",
	"French",
	"Western Frisian",
	"Fulah",
	"Galician",
	"Ganda",
	"Georgian",
	"German",
	"Greek",
	"Greenlandic",
	"Guarani",
	"Gujarati",
	"Haitian",
	"Hausa",
	"Hebrew",
	"Herero",
	"Hindi",
	"Hiri Motu",
	"Hungarian",
	"Icelandic",
	"Ido",
	"Igbo",
	"Indonesian",
	"interlingua",
	"interlingue",
	"Inuktitut",
	"Inupiaq",
	"Irish",
	"Italian",
	"Japanese",
	"Javanese",
	"Kannada",
	"Kanuri",
	"Kashmiri",
	"Kazakh",
	"Central Khmer",
	"Kikuyu",
	"Kinyarwanda",
	"Kirghiz",
	"Komi",
	"Kongo",
	"Korean",
	"Kuanyama",
	"Kurdish",
	"Lao",
	"Latin",
	"Latvian",
	"Limburgish",
	"Lingala",
	"Lithuanian",
	"Luba-Katanga",
	"Luxembourgish",
	"Macedonian",
	"Malagasy",
	"Malay",
	"Malayalam",
	"Maltese",
	"Manx",
	"Maori",
	"Marathi",
	"Marshallese",
	"Moldavian",
	"Mongolian",
	"Nauru",
	"Navajo",
	"North Ndebele",
	"South Ndebele",
	"Ndonga",
	"Nepali",
	"Norwegian",
	"Norwegian Bokmål",
	"Norwegian Nynorsk",
	"Occitan",
	"Ojibwa",
	"Oriya",
	"Oromo",
	"Ossetian",
	"Pali",
	"Persian",
	"Polish",
	"Portuguese",
	"Punjabi",
	"Pashto",
	"Quechua",
	"Romansh",
	"Romanian",
	"Rundi",
	"Russian",
	"Samoan",
	"Sango",
	"Sanskrit",
	"Sardinian",
	"Scottish",
	"Serbian",
	"Shona",
	"Sichuan Yi",
	"Sindhi",
	"Sinhalese",
	"Slovak",
	"Slovenian",
	"Somali",
	"Sotho",
	"Spanish",
	"Sundanese",
	"Swahili",
	"Swati",
	"Swedish",
	"Tagalog",
	"Tahitian",
	"Tajik",
	"Tamil",
	"Tatar",
	"Telugu",
	"Thai",
	"Tibetan",
	"Tigrinya",
	"Tonga",
	"Tsonga",
	"Tswana",
	"Turkish",
	"Turkmen",
	"Twi",
	"Uighur",
	"Ukrainian",
	"Urdu",
	"Uzbek",
	"Venda",
	"Vietnamese",
	"Volapük",
	"Walloon",
	"Welsh",
	"Wolof",
	"Xhosa",
	"Yiddish",
	"Yoruba",
	"Chuang",
	"Zulu");
$lang_country_names = array("Afghanistan",
	"Albania",
	"Algeria",
	"Andorra",
	"Angola",
	"Anguilla",
	"Antarctica",
	"Antigua and Barbuda",
	"Antille Olandesi",
	"Saudi Arabia",
	"Argentina",
	"Armenia",
	"Aruba",
	"Australia",
	"Austria",
	"Azerbaijan",
	"Bahamas",
	"Bahrain",
	"Bangladesh",
	"Barbados",
	"Belgium",
	"Belize",
	"Benin",
	"Bermuda",
	"Belarus",
	"Bhutan",
	"Bolivia",
	"Bosnia and Herzegovina",
	"Botswana",
	"Brazil",
	"Brunei Darussalam",
	"Bulgaria",
	"Burkina Faso",
	"Burundi",
	"Cambodia",
	"Cameroon",
	"Canada",
	"Cabo Verde",
	"Chad",
	"Chile",
	"China",
	"Cyprus",
	"Vatican City",
	"Colombia",
	"Comoros",
	"North Korea",
	"South Korea",
	"Costa Rica",
	"Ivory Coast",
	"Croatia",
	"Cuba",
	"Denmark",
	"Dominica",
	"Ecuador",
	"Egypt",
	"Ireland",
	"El Salvador",
	"United Arab Emirates",
	"Eritrea",
	"Estonia",
	"Ethiopia",
	"Russian Federation",
	"Fiji",
	"Philippines",
	"Finland",
	"France",
	"Gabon",
	"Gambia",
	"Georgia",
	"Germany",
	"Ghana",
	"Jamaica",
	"Japan",
	"Gibraltar",
	"Djibouti",
	"Jordan",
	"Greece",
	"Grenada",
	"Greenland",
	"Guadeloupe",
	"Guam",
	"Guatemala",
	"Guinea",
	"Guinea-Bissau",
	"Equatorial Guinea",
	"Guyana",
	"French Guiana",
	"Haiti",
	"Honduras",
	"Hong Kong",
	"India",
	"Indonesia",
	"Iran",
	"Iraq",
	"Bouvet Island",
	"Christmas Island",
	"Heard Island and McDonald Islands",
	"Cayman Islands",
	"Cocos Islands",
	"Cook Islands",
	"Falkland Islands",
	"Faroe Islands",
	"Marshall Islands",
	"Northern Mariana Islands",
	"US Minor Islands",
	"Norfolk Island",
	"Solomon Islands",
	"Turks and Caicos Islands",
	"US Virgin Islands",
	"British Virgin Islands",
	"Israel",
	"Iceland",
	"Italy",
	"Kazakhstan",
	"Kenya",
	"Kyrgyzstan",
	"Kiribati",
	"Kuwait",
	"Laos",
	"Latvia",
	"Lesotho",
	"Lebanon",
	"Liberia",
	"Libya",
	"Liechtenstein",
	"Lithuania",
	"Luxembourg",
	"Macau",
	"Macedonia",
	"Madagascar",
	"Malawi",
	"Maldives",
	"Malaysia",
	"Mali",
	"Malta",
	"Morocco",
	"Martinique",
	"Mauritania",
	"Mauritius",
	"Mayotte",
	"Mexico",
	"Moldova",
	"Monaco",
	"Mongolia",
	"Montserrat",
	"Mozambique",
	"Myanmar",
	"Namibia",
	"Nauru",
	"Nepal",
	"Nicaragua",
	"Niger",
	"Nigeria",
	"Niue",
	"Norway",
	"New Caledonia",
	"New Zealand",
	"Oman",
	"Netherlands",
	"Pakistan",
	"Palau",
	"Panama",
	"Papua New Guinea",
	"Paraguay",
	"Peru",
	"Pitcairn",
	"French Polynesia",
	"Poland",
	"Portugal",
	"Puerto Rico",
	"Qatar",
	"United Kingdom",
	"Czech Republic",
	"Central African Republic",
	"Republic of Congo",
	"Democratic Republic of Congo",
	"Dominican Republic",
	"Reunion",
	"Romania",
	"Rwanda",
	"Western Sahara",
	"Saint Kitts and Nevis",
	"Saint Pierre and Miquelon",
	"Saint Vincent and the Grenadines",
	"Samoa",
	"American Samoa",
	"San Marino",
	"Saint Helena",
	"Saint Lucia",
	"Sao Tome and Principe",
	"Senegal",
	"Kosovo",
	"Seychelles",
	"Sierra Leone",
	"Singapore",
	"Syria",
	"Slovakia",
	"Slovenia",
	"Somalia",
	"Spain",
	"Sri Lanka",
	"Federated States of Micronesia",
	"United States of America",
	"South Africa",
	"South Georgia and Sandwich Islands",
	"Sudan",
	"Suriname",
	"Svalbard and Jan Mayen",
	"Sweden",
	"Switzerland",
	"Swaziland",
	"Tajikistan",
	"Thailand",
	"Taiwan",
	"Tanzania",
	"British Indian Ocean Territories",
	"French Southern Territories",
	"Occupied Palestinian Territories",
	"East Timor",
	"Togo",
	"Tokelau",
	"Tonga",
	"Trinidad and Tobago",
	"Tunisia",
	"Turkey",
	"Turkmenistan",
	"Tuvalu",
	"Ukraine",
	"Uganda",
	"Hungary",
	"Uruguay",
	"Uzbekistan",
	"Vanuatu",
	"Venezuela",
	"Vietnam",
	"Wallis and Futuna",
	"Yemen",
	"Zambia",
	"Zimbabwe",
	"Serbia",
	"Montenegro",
	"East Timor",
	"Guernsey",
	"Åland Islands");
$lang_chart = "Show chart for visits by ";

?>
